Subject: Re: Firefox plugins
To: None <>
From: Matthias Scheler <>
List: netbsd-users
Date: 08/20/2005 08:45:57
On Sat, Aug 20, 2005 at 04:25:46AM +0200, Geert Hendrickx wrote:
> > What version of Firefox, NetBSD and the SuSE packages are you using?
> firefox-bin-1.0.6 and suse_*-9.1 (up-to-date from pkgsrc-2005Q2) on NetBSD
> 3.0_BETA.  

Same here, but from the HEAD branch of "pkgsrc":

suse_base-9.1nb7    Linux compatibility package
suse_compat-9.1     Linux compatibility package with old shared libraries
suse_x11-9.1nb2     Linux compatibility package for X11 binaries
suse_gtk2-9.1nb3    Linux compatibility package for GTK2 binaries
suse_openmotif-9.1nb1 Linux compatibility package for the Motif library
suse_expat-9.1nb1   Linux compatibility package for expat binaries
suse_locale-9.1     Locale files for the Linux compatibility package
suse_gtk-9.1        Linux compatibility package for GTK binaries
suse_fontconfig-9.1 Linux compatibility package for fontconfig binaries
suse_freetype2-9.1  Linux compatibility package for FreeType2 library
suse_libjpeg-9.1nb1 Linux compatibility package for the JPEG library
suse_libpng-9.1nb1  Linux compatibility package for the PNG library
suse_libtiff-9.1nb1 Linux compatibility package for the TIFF library
firefox-bin-1.0.6   Lightweight gecko-based web browser (binary package)
firefox-bin-flash-7.0.25 Flash Player plugin for firefox-bin
firefox-bin-java-1.1nb2 Java Run Time Environment (JRE) 1.4 plugin for firefox-b

Do you use the X11 bundled with NetBSD 3.0_BETA (XFree86 4.5.0) or
something else e.g. Xorg?

> firefox-bin segfaults whereas mozilla-bin works fine.  

Do you set "LD_LIBRARY_PATH" in your environment? If you do please try
to unset it before starting Firefox.

What is the output of the following command?

env LD_LIBRARY_PATH=/usr/pkg/lib/firefox-linux \
	/emul/linux/usr/bin/ldd /usr/pkg/lib/firefox-linux/firefox-bin

I get this: => /usr/pkg/lib/firefox-linux/ (0xbdb7d000) => /usr/pkg/lib/firefox-linux/ (0xbdadc000) => /usr/pkg/lib/firefox-linux/ (0xbdad9000) => /usr/pkg/lib/firefox-linux/ (0xbdad5000) => /usr/pkg/lib/firefox-linux/ (0xbdaa9000) => /lib/ (0xbda53000) => /lib/ (0xbda50000) => /opt/gnome/lib/ (0xbd800000) => /opt/gnome/lib/ (0xbd793000) => /opt/gnome/lib/ (0xbd779000) => /opt/gnome/lib/ (0xbd767000) => /opt/gnome/lib/ (0xbd746000) => /opt/gnome/lib/ (0xbd739000) => /opt/gnome/lib/ (0xbd706000) => /opt/gnome/lib/ (0xbd6d1000) => /opt/gnome/lib/ (0xbd6cd000) => /opt/gnome/lib/ (0xbd661000) => /usr/X11R6/lib/ (0xbd565000) => /lib/ (0xbd543000) => /usr/pkg/lib/firefox-linux/ (0xbd522000) => /usr/pkg/lib/firefox-linux/ (0xbd502000) => /usr/pkg/lib/firefox-linux/ (0xbd49f000) => /usr/pkg/lib/firefox-linux/ (0xbd439000) => /usr/X11R6/lib/ (0xbd3e6000) => /usr/X11R6/lib/ (0xbd3de000) => /usr/X11R6/lib/ (0xbd3ce000) => /usr/pkg/lib/firefox-linux/ (0xbd3b7000) => /usr/lib/ (0xbd2fb000) => /lib/ (0xbd2f3000) => /lib/ (0xbd1de000) => /usr/X11R6/lib/ (0xbd1cb000) => /usr/lib/ (0xbd1a0000) => /usr/lib/ (0xbd137000)
	/lib/ => /lib/ (0xbdbec000) => /usr/X11R6/lib/ (0xbd133000) => /usr/X11R6/lib/ (0xbd12b000) => /usr/X11R6/lib/ (0xbd123000) => /usr/X11R6/lib/ (0xbd119000) => /usr/X11R6/lib/ (0xbd101000) => /usr/lib/ (0xbd0e2000)

And can you please try whether this helps?

rm -rf $HOME/.mozilla/plugins
find $HOME/.mozilla -name secmod.db -type f -exec rm {} \;
find $HOME/.mozilla -name pluginreg.dat -type f -exec rm {} \;

> > So, yes, the latest "firefox-bin" package works fine for me under
> > NetBSD-i386 3.0_BETA/3.99.7 with the 9.1 version of the SuSE packages.
> Where can I check this ^^^^^^ version number?  

With "uname -r" (which will print out "3.0_BETA" on your system). It's the
operating system version number from my NetBSD-current system.

	Kind regards

Matthias Scheler